Summary: vsftpd - Very Secure Ftp Daemon
Name:    vsftpd
Version: 2.0.5
Release: 1tr
License: GPL
Group: Trustix Official
URL:     http://vsftpd.beasts.org/
Source:  ftp://vsftpd.beasts.org/users/cevans/%{name}-%{version}.tar.gz
Source1: vsftpd.xinetd
Source2: vsftpd.pam
Source3: vsftpd.user_list
Source4: vsftpd.init
Source5: vsftpd.logrotate
Source6: vsftpd.conf
Patch2:  vsftpd-2.0.2-tcp_wrappers.patch
Patch3: vsftpd-2.0.5-build-tls.patch
BuildRoot: /var/tmp/%{name}-root
BuildPrereq: tcp_wrappers
PreReq : /sbin/chkconfig /sbin/service
Requires: anonftp, logrotate
Provides: ftpserver

%description
vsftpd is a Very Secure FTP daemon. It was written completely from
scratch.

It is configured to not allow write access or non-anonymous user 
login.

%prep
%setup -q 
%patch2 -p1
cp %{SOURCE1} .

%build
make CFLAGS="$RPM_OPT_FLAGS -pipe -I/usr/include/gnutls/" \
	LINK="-lgnutls" \
	%{?_smp_mflags}

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT/%{_sbindir}
install -d -m 755 $RPM_BUILD_ROOT/%{_initdir}
install -d -m 755 $RPM_BUILD_ROOT/%{_sysconfdir}/{vsftpd,pam.d}
install -d -m 755 $RPM_BUILD_ROOT/%{_sysconfdir}/{logrotate.d,xinetd.d}
install -d -m 755 $RPM_BUILD_ROOT/%{_mandir}/man{5,8}
install -d -m 755 $RPM_BUILD_ROOT/var/log/vsftpd
install -d -m 755 $RPM_BUILD_ROOT/var/lib/vsftp
install -d -m 700 $RPM_BUILD_ROOT/var/lib/vsftp/chroot
install -m 755 vsftpd  $RPM_BUILD_ROOT/%{_sbindir}/vsftpd
install -m 644 vsftpd.conf.5 $RPM_BUILD_ROOT/%{_mandir}/man5/
install -m 644 vsftpd.8 $RPM_BUILD_ROOT/%{_mandir}/man8/
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/xinetd.d/
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/%{_sysconfdir}/pam.d/vsftpd
install -m 600 %{SOURCE3} $RPM_BUILD_ROOT/%{_sysconfdir}/vsftpd.user_list
install -m 755 %{SOURCE4} $RPM_BUILD_ROOT/%{_initdir}/vsftpd
install -m 644 %{SOURCE5} $RPM_BUILD_ROOT/%{_sysconfdir}/logrotate.d/vsftpd
install -m 600 %{SOURCE6} $RPM_BUILD_ROOT/%{_sysconfdir}/vsftpd/vsftpd.conf
touch -m 600 $RPM_BUILD_ROOT/var/log/vsftpd/{access.log,auth.log,xfer.log,anon.log}


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add vsftpd

%preun
if [ $1 = 0 ]; then
    /sbin/service vsftpd stop > /dev/null 2>&1
    /sbin/chkconfig --del vsftpd
fi

%files
%defattr(-,root,root,0755)
%doc FAQ BUGS AUDIT Changelog LICENSE README README.security 
%doc REWARD SPEED TODO SECURITY/ TUNING SIZE vsftpd.xinetd
%doc EXAMPLE/
%{_sbindir}/vsftpd
%{_initdir}/vsftpd
%config(noreplace) %{_sysconfdir}/vsftpd.*
%dir               %{_sysconfdir}/vsftpd
%config(noreplace) %{_sysconfdir}/vsftpd/*
%config(noreplace) %{_sysconfdir}/pam.d/vsftpd
%config(noreplace) %{_sysconfdir}/logrotate.d/vsftpd
%dir %attr(755,root,root) /var/lib/vsftp
%dir %attr(700,root,root) /var/lib/vsftp/chroot
%{_mandir}/man5/vsftpd.conf.*
%{_mandir}/man8/vsftpd.*
%exclude /etc/xinetd.d/vsftpd.xinetd
/var/log/vsftpd

%changelog
* Thu Mar 01 2007 Bipin S <bipin at trustix dot org> 2.0.5-1tr
- New upstream, bug #2064.
- Built with GnuTLS, bug #2068.

* Mon Apr 03 2006 Bipin S <bipin at trustix dot org> 2.0.4-1tr
- New Upstream.

* Thu May 05 2005 Ajith Thampi <ajith at comodo dot com> 2.0.3-4tr
- Added PreReq of chkconfig and service

* Wed Apr 27 2005 Bipin S <bipin at comodo dot com> 2.0.3-3tr
- Changed log files to /var/log/vsftpd/.
- Changed xferlog_enable entry of vsftpd.conf

* Wed Apr 20 2005 Bipin S <bipin at comodo dot com> 2.0.3-2tr
- changed init priority

* Thu Apr 05 2005 Thushara Gopalakrishnan <thushara at comodo dot com> 2.0.3-1tr
- New upstream

* Thu Mar 17 2005 Raghu <raghu at comodo dot com> 2.0.2-2tr
- Rebuilt
- Fixed unpackaged files

* Fri Mar  4 2005 Erlend Midttun <erlendbm at trustix dot org> 2.0.2-1tr
- New upstream.

* Fri Feb 18 2005 Thushara Gopalakrishnan <thushara at comodo com> 2.0.2pre3
- New upstream.

* Mon Sep 27 2004 Syed Shabir <syedshabir at comodo dot com> 1.2.2-1tr
- New Upstream.

* Sun Jan 25 2004 Erlend Midttun <erlendbm at trustix dot org> 1.2.1-1tr
- New upstream.
- Now have config file as source.
- logrotate now with notifempty, create, delaycompress and missingok.

* Mon Aug 18 2003 Goetz Bock <bock at trustix dot org> 1.2.0-8bg
- build for Cloud (aka Trustix 2.0) - Contrib
- require anonftp, as it has a correct setup for /home/ftp
- changed patch1 to be more secure
- rewrote initscript, tuned specfile

* Mon Aug 18 2003 Omar Kilani <ok at mailcall dot com dot au> 1.2.0-7ok
- Changed secure_chroot_dir to /var/empty, openssh-server uses it as well.

* Mon Aug 18 2003 Omar Kilani <ok at mailcall dot com dot au> 1.2.0-6ok
- Changed anonymous ftp directory from /var/ftp to /home/ftp as per Trustix.

* Thu Aug 14 2003 Omar Kilani <ok at mailcall dot com dot au> 1.2.0-5ok
- Changed release suffix from tr to ok.

* Tue Aug 05 2003 Omar Kilani <ok at mailcall dot com dot au> 1.2.0-4tr
- Confirm to packaging policy
- Changed BuildRoot to match TSL Packaging Policy
- Change vsftpd-1.2.0-trustix.patch to vsftpd-1.2.0-trustix-vsftpd-conf.patch

* Tue Aug 05 2003 Omar Kilani <ok at mailcall dot com dot au> 1.2.0-3tr
- Split out the logrotate config, make it a source file
- Force /var/log/xferlog to be the logfile by modifying
- vsftpd-1.1.3-rh.patch, renamed it vsftpd-1.2.0-trustix.patch

* Tue Aug 05 2003 Omar Kilani <ok at mailcall dot com dot au> 1.2.0-1tr
- Modify spec, PAM, init, to suit TSL 2.0
- based on redhat's 1.2.0-2
